# NOTE: Derived from blib/lib/Business/WorldPay/Junior.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Business::WorldPay::Junior;

#line 429 "blib/lib/Business/WorldPay/Junior.pm (autosplit into blib/lib/auto/Business/WorldPay/Junior/valid_callback_host.al)"
sub valid_callback_host
    {
    # Input is output from $cgi->remote_host
    # Output is true is remote_host is a valid WorldPay callback server
    # or false if it is not.

    my $self = shift;
    my $host = shift;
    
    $errstr = "no host", return if ! $host;
    $errstr = "not 4 . separated digits", return if $host !~ /(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})/;

    my $fail = undef;

    if ( $1 != 195 )
        {
        $fail = 1;
        $errstr .= "Octet 1 failed ";
        }
    if ( $2 != 35 )
        {
        $fail = 1;
        $errstr .= "Octet 2 failed ";
        }
    if ( $3 < 90 || $3 > 91 )
        {
        $fail = 1;
        $errstr .= "Octet 3 failed ";
        }
    if ( $4 < 1 || $4 > 254 )
        {
        $fail = 1;
        $errstr .= "Octet 4 failed ";
        }
    return if $fail;
    
    return 1;
    }

# end of Business::WorldPay::Junior::valid_callback_host
1;
